export const rulesSchema = {
    "$schema": "http://json-schema.org/schema#",
    "$id": "https://github.com/duncsully/ds-sorter",
    "title": "Rules",
    "type": "array",
    "items": {
        "type": "object",
        "required": ["key"],
        "properties": {
            "key": {
                "type": "string",
                "description": "Attribute or property name"
            },
            "isProperty": {
                "type": "boolean",
                "nullable": true,
                "description": "True if property, else attribute. Note: attributes will automatically trigger a re-sort if changed. Properties will not."
            },
            "selector": {
                "type": "string",
                "nullable": true,
                "description": "Selector to lookup descendants to get attribute/property off of"
            },
            "reverse": {
                "type": "boolean",
                "nullable": true,
                "description": "If true, sort in reverse order relative to the global sort direction"
            },
            "nestedProps": {
                "type": "array",
                "items": {
                    "type": "string"
                },
                "nullable": true,
                "description": "A path of properties to get a value from nested objects"
            }
        },
        "additionalProperties": false
    }
};
//# sourceMappingURL=RulesSchema.js.map